\documentclass{zettel2}

\usepackage{event}

\geometry{top=2cm, bottom=2cm, left=2cm, right=2cm}

% Header & Footer
\pagestyle{empty}

\usepackage{multicol}

\DTLloaddb{raum}{raeume/zirkel.csv}
\DTLloaddb{zirkeleinteilung}{teilnehmende.csv}


\begin{document}

    \begin{center}
        {\Huge \textsc{Zirkeleinteilung}}
    \end{center}

    \vspace{2cm}


    \DTLforeach{raum}{%
        \currentZirkel=Zirkel,%
        \raum=Raum%
    }{%
        \ifthenelse{%
            \equal{\currentZirkel}{Qa} \OR \equal{\currentZirkel}{Qb} \OR \equal{\currentZirkel}{Qc} \OR \equal{\currentZirkel}{Qd}%
        }{}{%
            \begin{minipage}[t]{0.34\textwidth}
                {\Large \currentZirkel \quad {\large \textit{(\raum)}}}
                \begin{itemize}
                    \DTLforeach{zirkeleinteilung}{\vorname=Vorname, \nachname=Nachname, \zirkel=Zirkel}
                    {
                        \ifthenelse{\equal{\zirkel}{\currentZirkel}}{\item \vorname~\nachname}{}

                    }
                \end{itemize}
                \vspace{1cm}
            \end{minipage}
        }
    }

    \begin{minipage}[t]{\textwidth}
        {\Large Q \quad {\large \textit{(\oberstufeRaum)}}}
        \begin{multicols}{3}
            \begin{itemize}
                \DTLforeach{zirkeleinteilung}{%
                    \vorname=Vorname,%
                    \nachname=Nachname,%
                    \zirkel=Zirkel%
                }{%
                    \ifthenelse{%
                        \equal{\zirkel}{Q}
                    }{%
                        \item \vorname~\nachname
                    }{}
                }
            \end{itemize}
        \end{multicols}
    \end{minipage}

\end{document}
